Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155376 - CAN-2005-0102 Integer overflow in camel-lock-helper
Summary: CAN-2005-0102 Integer overflow in camel-lock-helper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: evolution
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard: impact=low,source=vendorsec,reported=...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-19 18:11 UTC by Dave Malcolm
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-19 12:17:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:238 normal SHIPPED_LIVE Low: evolution security update 2005-05-19 04:00:00 UTC

Description Dave Malcolm 2005-04-19 18:11:37 UTC
+++ This bug was initially created as a clone of Bug #155375 +++

email from bressers:
        Message by NotZed:
       
http://lists.ximian.com/archives/public/evolution-patches/2005-January/008672.html

        CVS commit:
       
http://cvs.gnome.org/viewcvs/evolution/camel/camel-lock-helper.c?rev=1.7&hideattic=0&view=log

        We don't set the camel-lock-helper executable suid or sgid.  I belive
        this is a non issue then.

        CAN-2005-0102

        Dave said it's not suid/sgid for us and can't be affected by
        an email message -- however it's only not setuid because we    
        don't build the srpms as root, if we did it would be - hence
        we need an update for this, but "low" severity

        impact=low,source=vendorsec,reported=20050124

Comment 1 Dave Malcolm 2005-04-20 23:01:16 UTC
fix committed to CVS and tagged as evolution-1_4_5-13

<bressers> dhm: If [QA has touched your U5 errata (RHBA-2005:238)], we'll just
create a new errata, and push it sometime after U5
(QA have already approved RHBA-2005:238 and it's waiting for RHEL3 U5 to finish)

Comment 3 Tim Powers 2005-05-19 12:17:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-238.html



Note You need to log in before you can comment on or make changes to this bug.